Subject: [mpls] Fw:New Version Notification for draft-lm-mpls-sfc-path-verification-02.txt

From: <[email-masked]>
Date: Tue, 23 Feb 2021 15:03:45 +0800 (CST)

Hi All,

We submitted a new version of this draft https://tools.ietf.org/html/draft-lm-mpls-sfc-path-verification-02.

In this version:

- MPLS-SFC(RFC 8595-style) OAM and SR-SFC(draft-ietf-spring-sr-service-programming) OAM are separated and discussed as two independent topics.

- we focus on how can MPLS LSP Ping mechanism still be applicable in MPLS-base SFP. 

- the paragraph in RFC8595 section 6 that we want to update is changed.

	the paragraph in RFC8595 we want to update in the previous version:

		"when an SFF receives a packet from any component of the SFC system (classifier, SFI, or another SFF), 

		it MUST discard any packets with TTL set to zero."

	the paragraph in RFC8595 we want to update in this new version:

		"If an SFF decrements the TTL to zero, it MUST NOT send the packet 

		and MUST discard the packet."

- the structure of the draft is adjusted and the terminology section is updated for better understanding.

Many thanks for Adrian's suggestions and questions.

Your comments, questions, and suggestions are always welcome and greatly appreciated.

Thanks,

Yao

原始邮件

发件人：[email-masked]
收件人：Gregory10211915;刘尧00165286;
日 期 ：2021年02月22日 15:36
主 题 ：New Version Notification for draft-lm-mpls-sfc-path-verification-02.txt

A new version of I-D, draft-lm-mpls-sfc-path-verification-02.txt
has been successfully submitted by Liu Yao and posted to the
IETF repository.
 
Name:        draft-lm-mpls-sfc-path-verification
Revision:    02
Title:        MPLS-based Service Function Path(SFP) Consistency Verification
Document date:    2021-02-21
Group:        Individual Submission
Pages:        12
URL:            https://www.ietf.org/archive/id/draft-lm-mpls-sfc-path-verification-02.txt
Status:         https://datatracker.ietf.org/doc/draft-lm-mpls-sfc-path-verification/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-lm-mpls-sfc-path-verification
Htmlized:       https://tools.ietf.org/html/draft-lm-mpls-sfc-path-verification-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-lm-mpls-sfc-path-verification-02
 
Abstract:
   This document describes extensions to MPLS LSP ping mechanisms to
   support verification between the control/management plane and the
   data plane state for SR-MPLS service programming and MPLS-based NSH
   SFC.
 
   This document defines the signaling of the Generic Associated Channel
   (G-ACh) over a Service Function Path (SFP) with an MPLS forwarding
   plane using the basic unit defined in RFC 8595.  The document updates
   RFC 8595 in respect to SFF's handiling TTL expiration.  The document
   also describes the processing of the G-ACh by the elements of the
   SFP.

 
Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.
 
The IETF Secretariat